> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get User Domains

GET https://agentverse.ai/v2/users/domains

Get all domains owned by the authenticated user.

Returns a list of domains with their current status and configuration.

Reference: https://docs.agentverse.ai/api-reference/users/get-user-domains

## Request

### Query parameters

- `agent_address` (string, optional) — Filter domains by agent address

## Response

### 200

Successful Response

- `list of Domain`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Domain

Domain model for API responses.

- `name` (string, required)
- `status` (enum, required)
  - Allowed values: `Registered`, `Pending`, `Checking`, `Updating`, `Deleting`, `Failed`
- `assigned_agents` (list of AgentRecord, required)
- `expiry` (string, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### AgentRecord

- `address` (string, required)
- `weight` (integer, optional, default: 1)

### ValidationErrorLocItems

## Examples

**Response**

```json
[
  {
    "name": "foo",
    "status": "Registered",
    "assigned_agents": [
      {
        "address": "foo",
        "weight": 1
      }
    ],
    "expiry": "foo"
  }
]
```

**SDK Code**

```python getUserDomainsExample
import requests

url = "https://agentverse.ai/v2/users/domains"

response = requests.get(url)

print(response.json())
```

```javascript getUserDomainsExample
const url = 'https://agentverse.ai/v2/users/domains';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getUserDomainsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/users/domains"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getUserDomainsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/users/domains")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getUserDomainsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v2/users/domains")
  .asString();
```

```php getUserDomainsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v2/users/domains');

echo $response->getBody();
```

```csharp getUserDomainsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/users/domains");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getUserDomainsExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/users/domains")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```